Groovy 1.7.0

## org.codehaus.groovy.bsf
Class CachingGroovyEngine

    java.lang.Object
      org.apache.bsf.util.BSFEngineImpl
          org.codehaus.groovy.bsf.GroovyEngine
              org.codehaus.groovy.bsf.CachingGroovyEngine

    class CachingGroovyEngine
    extends GroovyEngine

A Caching implementation of the GroovyEngine

author:
  James Birchfield

Field Summary

Fields inherited from class GroovyEngine
shell

Constructor Summary
`CachingGroovyEngine()`

Method Summary
`Object` | `eval(String source, int lineNo, int columnNo, Object script)` Evaluate an expression.
`void` | `exec(String source, int lineNo, int columnNo, Object script)` Execute a script.
`void` | `initialize(BSFManager mgr, String lang, Vector declaredBeans)` Initialize the engine.

Methods inherited from class GroovyEngine
apply, call, declareBean, eval, exec, getEvalShell, initialize, undeclareBean

Methods inherited from class org.apache.bsf.util.BSFEngineImpl
initialize, exec, propertyChange, apply, compileApply, compileExpr, compileScript, declareBean, iexec, terminate, undeclareBean, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll, eval, call

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CachingGroovyEngine

    CachingGroovyEngine()

Method Detail

### eval

    public Object eval(String source, int lineNo, int columnNo, Object script)

  Evaluate an expression.

### exec

    public void exec(String source, int lineNo, int columnNo, Object script)

  Execute a script.

### initialize

    public void initialize(BSFManager mgr, String lang, Vector declaredBeans)

  Initialize the engine.

Copyright © 2003-2009 The Codehaus. All rights reserved.